-- true/false defn
FALSE = 0
TRUE = 1

-- condition return values
CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

-- Message types
MT_INFO = 0      -- large centre screen popup
MT_ALERT = 1	 -- top right alert message

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32
MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2

function OnEvent(event) 
	if (event == "IntroText") then
	    SysCall ( "ScenarioManager:ShowInfoMessageExt", "", "IntroText.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, TRUE );
	end
	
	if (event == "ANSAGE_01") then
	    SysCall ( "ScenarioManager:PlayDialogueSound", "ANSAGE_01.wav");
	end
	
	if (event == "OutroText") then
	    SysCall ( "ScenarioManager:ShowInfoMessageExt", "", "OutroText.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, TRUE );
	end
end